<?php

namespace App\Community\Actions\Vaccine;

use App\Models\Docter;
use App\Models\OrderVaccine;
use App\Models\Vaccine;
use Encore\Admin\Actions\RowAction;
use Encore\Admin\Facades\Admin;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class AddVaccine extends RowAction
{
    public $name = '订单修订';

    public function handle()
    {
        $ids = request('vaccine_id');

        $order_id = $this->row->id;
        $ids = OrderVaccine::where(['order_id'=>$order_id])->pluck('vaccine_id');
        

        return $this->response()->success('修改疫苗成功')->refresh();
    }

    public function form()
    {
        $admin = Admin::user();
        $is_admin = Admin::user()->isAdministrator();
        $org_id =$admin->org_id;
        $list = Vaccine::where('org_id',$org_id)->pluck('name','id');
        if($is_admin){
            $list = Vaccine::pluck('name','id');
        }
        if(empty($admin->org_id)) return ;
        $this->multipleSelect('vaccine_id','疫苗')->options($list)->value();
    }

}
